Skip to content

Notebook Alerts List

GET
/notebooks/{Instance_id}/alerts/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/alerts/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Retrieve all alerts attached to a specific notebook instance with pagination support.

Instance_id
required
integer

Instance ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

page_no
integer

The page number from which you want your page search results to be displayed.

per_page
integer

Number of results per page

Successful response with notebook alerts list

Media typeapplication/json
object
code
integer
message
string
total_page_number
integer
total_count
integer
data
Array<object>
object
id
integer
notebook
integer
notebook_name
string
alert
object
id
integer
name
string
location
string
resource_type
string
metric_type
string
metric_type_unit
string
operator
string
threshold_value
number format: float
severity
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
alert_name
string
grafana_rule_uid
string
is_firing
boolean
created_at
string format: date-time
updated_at
string format: date-time
errors
object

Example

{
"code": 200,
"message": "Success",
"total_page_number": 1,
"total_count": 1,
"data": [
{
"id": 19,
"notebook": 19919,
"notebook_name": "instance-name",
"alert": {
"id": 57,
"name": "alert-name",
"location": "Delhi",
"resource_type": "Instance",
"metric_type": "Ephemeral Storage",
"metric_type_unit": "%",
"operator": "Less Than",
"threshold_value": 23,
"severity": "Warning",
"created_by": {
"id": 1001,
"name": "User Name",
"email": "user@example.com",
"username": "user@example.com"
},
"created_at": "2026-03-25T09:04:09Z",
"updated_at": "2026-03-25T09:04:09Z"
},
"alert_name": "alert-name",
"grafana_rule_uid": "bfh2k92v7tb0ge",
"is_firing": false,
"created_at": "2026-03-25T09:42:31Z",
"updated_at": "2026-03-25T09:42:31Z"
}
],
"errors": {}
}